### Method

# Gimp Item transform_flip_simple

since: 2.2

#### Declaration [src]

    GimpItem*
    gimp_item_transform_flip_simple (
      GimpItem* item,
      GimpOrientationType flip_type,
      gboolean auto_center,
      gdouble axis
    )

#### Description [src]

Flip the specified item either vertically or horizontally.

This procedure flips the specified item.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then flipped. If auto_center is set to TRUE, the flip is around the selection’s center. Otherwise, the coordinate of the axis needs to be specified. The return value is the ID of the flipped floating selection.

If there is no selection or the item is not a drawable, the entire item will be flipped around its center if auto_center is set to TRUE, otherwise the coordinate of the axis needs to be specified. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: gimp_context_set_transform_resize().

Available since: 2.2

#### Parameters

`flip_type`

  Type: `GimpOrientationType`

  Type of flip.

`auto_center`

  Type: `gboolean`

  Whether to automatically position the axis in the selection center.

`axis`

  Type: `gdouble`

  Coord. of flip axis.

#### Return value

Type: `GimpItem`

The flipped item.

The returned data is owned by the instance.